Bug 240699 - (perl-MogileFS-Client) Review Request: perl-MogileFS-Client - Client library for the MogileFS distributed file system
Review Request: perl-MogileFS-Client - Client library for the MogileFS distri...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-20 14:32 EDT by Ruben Kerkhof
Modified: 2011-07-15 10:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-22 16:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2007-05-20 14:32:46 EDT
Spec URL: http://rubenkerkhof.com/packages/perl-MogileFS-Client.spec
SRPM URL: http://rubenkerkhof.com/packages/perl-MogileFS-Client-1.07-1.src.rpm
Description:
This module is a client library for the MogileFS distributed file system.
The class method 'new' creates a client object against a particular
mogilefs tracker and domain. This object may then be used to store and
retrieve content easily from MogileFS.
Comment 1 Chris Weyl 2007-05-20 19:21:50 EDT
I'm thinking this isn't quite right.

[cweyl@zeus MogileFS-Client-1.07]$ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00use........ok                                                            
t/10-basics....skipped
        all skipped: No mogilefsd process running on 127.0.0.1:7001
All tests successful, 1 test skipped.
Files=2, Tests=2,  0 wallclock secs ( 0.25 cusr +  0.06 csys =  0.31 CPU)
Comment 2 Chris Weyl 2007-05-20 19:29:32 EDT
Scratch that, I was thinking MogileFS::Admin->new() was kicking off a daemon. *sigh*
Comment 3 Ruben Kerkhof 2007-05-21 04:00:36 EDT
I was thinking that myself, but it's trying to connect to a mogilefs server on localhost.
Comment 4 Jason Tibbitts 2007-06-20 14:17:15 EDT
Hey, a three-way review swap.  Fun!
Comment 5 Jason Tibbitts 2007-06-20 15:40:10 EDT
Just some minor issues:

I wonder if a more correct URL wouldn't be
  http://search.cpan.org/~bradfitz/MogileFS-Client/
I don't think it's particularly important, but it takes some clicking to get
down to the Perl module from the master mogilefs site..

Since the 10-basics.t test simply can't do anything useful without an actual
server running locally, I suggest that you just delete the test file before
running make test:
  %check
  # This test cannot run without a local MogileFS server
  rm t/10-basics.t
  make test

I don't think either of these issues are significant enough to hold up this package.

Review:
* source files match upstream:
   1ab698d91c2548458d0e5b84cd2b1fcbb7e44fac907a738b2933b38233238be8
   MogileFS-Client-1.07.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(MogileFS::Admin)
   perl(MogileFS::Backend)
   perl(MogileFS::Client) = 1.07
   perl(MogileFS::NewHTTPFile)
   perl-MogileFS-Client = 1.07-1.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Errno)
   perl(IO::Socket::INET)
   perl(IO::WrapTie)
   perl(LWP::UserAgent)
   perl(MogileFS::Backend)
   perl(MogileFS::Client)
   perl(MogileFS::NewHTTPFile)
   perl(POSIX)
   perl(Socket)
   perl(Time::HiRes)
   perl(fields)
   perl(strict)
   perl(vars)
* %check is present and all tests which can be run pass:
   All tests successful, 1 test skipped.
   Files=2, Tests=2,  1 wallclock secs ( 0.34 cusr +  0.08 csys =  0.42 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 6 Ruben Kerkhof 2007-06-20 16:54:10 EDT
Thanks for the review and good suggestions, I'll change them in the spec.

New Package CVS Request
=======================
Package Name: perl-MogileFS-client
Short Description: Client library for the MogileFS distributed file system
Owners: ruben@rubenkerkhof.com
Branches: FC-6 F-7 EPEL-4 EPEL-5


Comment 7 Kevin Fenzi 2007-06-20 17:08:15 EDT
cvs done. 
Note that the EPEL branches are "EL-4" and "EL-5" for the cvs template. 
Comment 8 Ruben Kerkhof 2007-06-21 04:45:35 EDT
Thanks Kevin,

Sorry, I made a typo, the package is called perl-MogileFS-Client, not perl-MogileFS-client

New Package CVS Request
=======================
Package Name: perl-MogileFS-Client
Short Description: Client library for the MogileFS distributed file system
Owners: ruben@rubenkerkhof.com
Branches: FC-6 F-7 EL-4 EL-5

Comment 9 Kevin Fenzi 2007-06-21 22:50:46 EDT
ok. I think I have this fixed. Can you look now and see?
Comment 10 Ruben Kerkhof 2007-06-22 14:29:32 EDT
No luck:

[ruben@odin common]$ ./cvs-import.sh ~/rpmbuild/SRPMS/perl-MogileFS-Client-1.07-2.fc7.src.rpm 
Checking out module: 'perl-MogileFS-Client'
Unpacking source package: perl-MogileFS-Client-1.07-2.fc7.src.rpm...
L MogileFS-Client-1.07.tar.gz
A perl-MogileFS-Client.spec

Checking : MogileFS-Client-1.07.tar.gz on https://cvs.fedora.redhat.com/repo/pkgs/upload.cgi...
Module 'perl-MogileFS-client' does not exist!
make: *** [upload] Error 1
ERROR: Uploading the source tarballs failed!

Comment 11 Kevin Fenzi 2007-06-22 15:13:43 EDT
Sorry about that. Forgot to clean up the owners list as well. 
Can you try again now? 

Also, note that the wrong name might be in your Makefile, you should be able to
change that with the initial checkin. 
Comment 12 Ruben Kerkhof 2007-06-22 16:24:15 EDT
Ah, thanks Kevin, it's working now.

Sorry for the trouble.
Comment 13 Petr Pisar 2011-07-13 04:55:21 EDT
Package Change Request
======================
Package Name: perl-MogileFS-Client
Branches: f15 f14
New InitialCC: perl-sig

Please add `perl-sig' to CC list for all Fedora branches as this is Perl
package.
Comment 14 Jon Ciesla 2011-07-15 10:01:53 EDT
This is now done via pkgdb.

Note You need to log in before you can comment on or make changes to this bug.